NetBSD Problem Report #54665

From john@daisy.zia.io  Wed Oct 30 18:00:07 2019
Return-Path: <john@daisy.zia.io>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 9B8BD7A20C
	for <gnats-bugs@gnats.NetBSD.org>; Wed, 30 Oct 2019 18:00:07 +0000 (UTC)
Message-Id: <20191030180003.32B661AFEDA5@daisy.zia.io>
Date: Wed, 30 Oct 2019 18:00:03 +0000 (UTC)
From: john@ziaspace.com
Reply-To: john@ziaspace.com
To: gnats-bugs@NetBSD.org
Subject: sysutils/libnotify fails to compile on NetBSD 8.1/amd64
X-Send-Pr-Version: 3.95

>Number:         54665
>Category:       pkg
>Synopsis:       sysutils/libnotify fails to compile on NetBSD 8.1/amd64
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Oct 30 18:05:00 +0000 2019
>Originator:     John Klos
>Release:        NetBSD 8.1_STABLE
>Organization:

>Environment:


System: NetBSD daisy.zia.io 8.1_STABLE NetBSD 8.1_STABLE (DAISY) #0: Thu Aug 1 04:30:42 UTC 2019 john@daisy.zia.io:/usr/obj-amd64/sys/arch/amd64/compile/DAISY amd64
Architecture: x86_64
Machine: amd64
>Description:


sysutils/libnotify fails to compile on NetBSD 8.1 on amd64:

g-ir-scanner: link: gcc -o /home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/output/tmp-introspectey_bqmlw/Notify-0.7 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/gio-unix-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/include -I/usr/X11R7/include -I/usr/local/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/local/include/python3.8 -O2 -D_FORTIFY_SOURCE=2 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/gio-unix-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/include -I/usr/X11R7/include -I/usr/local/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/local/include/python3.8 /home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/output/tmp-introspectey_bqmlw/Notify-0.7.o -L. -Wl,-rpath,. -Wl,--no-as-needed -L/home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/output/libnotify -Wl,-rpath,/home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/output/libnotify -L/usr/local/lib -Wl,-rpath,/usr/local/lib -L/usr/lib -Wl,-rpath,/usr/lib -L/u
 sr/X11R7/lib -Wl,-rpath,/usr/X11R7/lib -L/usr/local/lib -Wl,-rpath,/usr/local/lib -lnotify -lgdk_pixbuf-2.0 -lgobject-2.0 -lintl -lglib-2.0 -lgio-2.0 -L/usr/local/lib -lgio-2.0 -lgobject-2.0 -Wl,--export-dynamic -pthread -Wl,-R/usr/local/lib -lgmodule-2.0 -lintl -Wl,-R/usr/local/lib -lglib-2.0 -L/usr/local/lib -Wl,-R/usr/local/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib
[19/54] Linking target tests/test-replace-widget.
FAILED: tests/test-replace-widget 
gcc  -o tests/test-replace-widget 'tests/59830eb@@test-replace-widget@exe/test-replace-widget.c.o' -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/gio-unix-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/include -I/usr/X11R7/include -I/usr/local/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/local/include/python3.8 -L/usr/local/lib -L/usr/lib -L/usr/X11R7/lib -Wl,--as-needed -Wl,--no-undefined -O2 -D_FORTIFY_SOURCE=2 -Wl,-R/usr/local/lib -Wl,-R/usr/lib -Wl,-R/usr/X11R7/lib -Wl,--start-group libnotify/libnotify.so.4.0.0 -Wl,--version-script,/home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/libnotify/libnotify.map /usr/local/lib/libgdk_pixbuf-2.0.so /usr/local/lib/libgobject-2.0.so /usr/local/lib/libintl.so -Wl,-R/usr/local/lib /usr/local/lib/libglib-2.0.so /usr/local/lib/libgio-2.0.so -Wl,-R/usr/local/lib -Wl,-R/usr/local/lib -Wl,-rpath-link,/usr/X11R7/lib /usr/local/lib/libgtk-3.so /usr/local/lib/libgdk-3.so /usr/local/lib/libpangocairo-1.0.so /usr/local
 /lib/libpango-1.0.so /usr/local/lib/libharfbuzz.so /usr/local/lib/libatk-1.0.so /usr/local/lib/libcairo-gobject.so /usr/local/lib/libcairo.so -Wl,--end-group -Wl,-R/usr/local/lib '-Wl,-rpath,$ORIGIN/../libnotify' -Wl,-rpath-link,/home/pkgsrc/sysutils/libnotify/work/libnotify-0.7.8/output/libnotify
/home/pkgsrc/sysutils/libnotify/work/.buildlink/lib/libgdk-3.so: undefined reference to `epoxy_has_glx'
ninja: build stopped: subcommand failed.
*** Error code 1


>How-To-Repeat:

>Fix:


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.43 2018/01/16 07:36:43 maya Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2017 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.